Guides
Changelog
2026-08-16 - Added a Passthrough Parameters guide
- Added a Passthrough Parameters guide consolidating every mechanism that sets passthrough parameters on a call, conversation or content analysis, everywhere they are returned, and how the 1000 byte limit is applied
2026-08-04 - Added support for routing Twilio calls into Spoke using Application Connect
- Added Twilio Voice Application Connect as an alternative to Spoke's redirect handler, letting you route a call into Spoke by dialling your organisation's Spoke TwiML application
- Documented
applicationas areturnTodestination, which returns an unanswered call to a TwiML application of your choice
2026-06-29 - Added Teams API endpoints
- Added new API endpoints to list teams and manage teams user memberships
GET /teamsendpoint to list the teams in your organisationDELETE /teams/{teamId}/users/{userId}endpoint to remove a user from a teamPUT /teams/{teamId}/users/{userId}endpoint for adding a user to a team or changing their offer priority
2026-06-04 - Added support for analyzing content from aggregated agent scorecards
- Added a new variant of POST
/contentAnalysisrequest payload to support analyzing aggregated agent scorecards
2026-05-19 - Added licenses field to User object
- Added new
licensesattribute to theUserWithAvailabilitytype- Applies to
GET /users,GET /users/{id},GET /directory,GET /directory/{entryId}, theuser.availability.updatedwebhook event, and theteam.availability.updatedwebhook event
- Applies to
2026-05-14 - Added new Conversation Messages API and deprecated legacy message APIs
- Added new
POST /conversationMessagesendpoint - Marked
POST /messagesandPOST /teamMessagesendpoints as deprecated- These endpoints have been replaced with
POST /conversationMessagesand will be removed in a future version of the API
- These endpoints have been replaced with
2026-05-11 - Added support for getting a user by email
- Added new optional query parameter
emailtoGET /usersendpoint
2026-04-30 - Added support for controlling user notifications in Conversations APIs
- Added optional
notifyUsersattribute to:POST /messagesrequest payloadPOST /teamMessagesrequest payload
- Added webhook delivery retry documentation, including retryable status codes
2026-03-11 - Redirect API now accepts any valid HTTPS URL
- The Redirect API now accepts any valid HTTPS URL as the
returnToId, whenreturnTois set topostEndpoint
2026-02-20 - Added support for Enlighten integration with Insights Data Action
- Added optional
preferencesfield to theInsights Data Action Response- Controls the preferred Insights context source and Enlighten cards display order
- Added support for group MMS
2026-01-07 - Added new author, participants and channel attributes to Conversation webhook events
- Added new
participantsandchannelattributes toConversation- These fields are surfaced in:
- Added new
authorattribute to each message inmessagesattribute ofConversation- This is surfaced in all conversation webhook events
2025-12-18 - Added a new Content Analysis by Call ID endpoint
- Added a new GET
/calls/{id}/contentAnalysisendpoint
2025-12-15 - Added a new Content Analysis endpoint
- Added a new GET
/contentAnalysisendpoint
2025-12-01 - Added support for usage information to Content Analysis artifacts
- Added
usageproperty toartifactsin:- The response payload of
/contentAnalysis/{id} - The
content_analysis.completedevent
- The response payload of
2025-09-01 - New conversation contact assigned webhook event
- Added support for the new
conversation.contact_assignedevent
2025-07-29 - Added support for setting conversation name in Messages API
- Added support for setting the conversation's name via
POST /messages - Added
locationtoUserinCallandConversationtypes - Added
mediatoMessagetype in conversation webhook events- The
media.vendorResourceUrlis populated for BYOT accounts
- The
2025-07-21 - New contact shared webhook event
- Added support for the new
contact.sharedevent - Marked
call.contact_assigned_with_addandcall.contact_assigned_with_updateevents as deprecated- These events have been replaced with the
contact.sharedevent and will be removed in a future version of the API
- These events have been replaced with the
2025-07-17 - Added support for deleting a content analysis
- Added a new DELETE
/contentAnalysisendpoint
2025-07-07 - Added support for recording's transcription model via content analysis APIs
- Added optional
transcriptionModelattribute torecordingsofcontentin POST/contentAnalysisrequest payload
2025-06-30 - Added support for custom analyzer via content analysis APIs
- Added support for custom analyzer attribute when submitting a content analysis request via POST
/contentAnalysisendpoint - Added
analyzerattribute toContentAnalysistype
2025-06-17 - New content analysis APIs and webhook event
- Added new API endpoints to submit and inspect content analysis requests
- POST
/contentAnalysisendpoint for submitting a content analysis request - GET
/contentAnalysis/{id}endpoint for getting a content analysis
- POST
- Added support for the new
content_analysis.completedevent
2025-05-06 - Added support for creating, reading, updating and deleting personal phonebooks
- Added documentation for creating or updating a personal phonebook
- Updated description for existing
/phonebooks/{id}and/phonebooks/{id}/contacts/*endpoints- Added support for using a user's email address as the phonebook
idparameter to refer to the user's personal phonebook
- Added support for using a user's email address as the phonebook
2025-04-14 - Added support for calls with multiple transcripts
- Added support for
call.transcription_completedevent - Updated the documentation for
textattribute ofTranscripttype- The transcript text may include
LEAVEandJOINspeaker events for call recordings
- The transcript text may include
- Added
vendorCallIdsattribute todialsattribute ofpartiesin theCalltype
2025-02-12 - Added support for user's manager and sending a team message on behalf of a user
- Added new
managerfield to user fields- This field is surfaced in:
- GET
/usersendpoint response - GET
/users/{id}endpoint response - GET
/directoryendpoint response - All user webhook events
- All team webhook events where the user is a member of the team
- All conversation webhook events where the user is the assigned user for the conversation or the user who sent the message
- All call webhook events where the user is the assigned user for the call
- GET
- This field is surfaced in:
- Added optional
sendAsUserattribute tomessageContentin Send Team SMS message request payload- When set, this field allows sending a team message on behalf of a user
2025-01-13 - Include passthrough parameters in Call Insights data action requests
- Added passthrough parameters as query string parameters in Call Insights data action requests
2024-12-16 - Added support for call recording's transcript
- Added support for
call.transcript.createdevent - Added new
transcriptattribute to callRecordingtype
2024-12-09 - New transcript APIs and webhook event
- Added new API endpoints to manage transcripts
- GET
/transcriptsendpoint for list transcripts - GET
/transcripts/{transcriptId}endpoint for getting a transcript - DELETE
/transcripts/{transcriptId}endpoint for deleting a transcript - GET
/transcripts/{transcriptId}/segmentsendpoint for getting a transcript's segments
- GET
- Added support for the new
transcript.createdevent
2024-12-03 - Added support for passthrough parameters via Conversation data actions and Conversation APIs
- Added support for passthrough parameters via the
Inbound Conversationsdata action - Added support for passthrough parameters via the
Send a new SMS messageandSend a new Team SMS messageAPIs - Added support for passthrough parameters in conversation webhook events
2024-11-25 - Added support for passthrough parameters via Outbound Call and Team Call data actions and Redirect API
- Added support for passthrough parameters via the
Outbound CallandTeam Calldata actions - Added support for passthrough parameters via the Redirect API
2024-11-06 - Add support for dial deep link passthrough parameters
- Added support for passthrough parameters via the
dialdeep link route- Added instructions in the
dialdocumentation - Added
passthroughParametersfield to theCalltype, which applies to the call resource and call webhook event data
- Added instructions in the
2024-10-22 - Add support for application deep linking
- Added new
call,dialandmessagedeep link routes for the Spoke Phone appspoke://call/{callId}- Navigates to the details of the specified callspoke://call/{callId}/insight- Navigates to the insight for the specified callspoke://dial?contactNumber={contactNumber}&callerId={callerId}- Dials a contact number using a specified caller IDspoke://message/sms?contactAddress={contactAddress}&companyAddress={companyAddress}&body={body}- Starts or continues an SMS conversation using the givencompanyAddressas the sender ID and prefills the message input with the providedbodyspoke://message/whatsapp?contactAddress={contactAddress}&companyAddress={companyAddress}&templateName={templateName}- Starts or continues a WhatsApp conversation using the givencompanyAddressas the sender ID, prefilled with a message generated from the content template matchingtemplateName
2024-10-14 - Add support for getting and deleting a specific call recording
- Added new API endpoints to manage call recordings
- GET
/call/{callId}/recordings/{recordingId}endpoint for getting a call recording - DELETE
/call/{callId}/recordings/{recordingId}endpoint for deleting a call recording
- GET
- Added new
id,callIdandfileSizeattributes to callRecordingtype- This
idcan be used to delete the call recording via the DELETE endpoint above
- This
2024-09-09 - New mimeType and channels attributes for call recordings
- Added new
mimeTypeandchannelsattributes to callRecordingtype - Added new
organisationIdattribute webhook event data - Added new
spoke.precallrequest origin for Call Insights Data Action requests from the Spoke Phone app's incoming calls
2024-08-26 - Add support for setting call priority in Team Call Data Action
- Added new optional parameter
prioritytoTeam Call Data Action Response Payload - Added optional
timezoneattribute topartiesattribute ofCalltype- The attribute will be included only if the party is of type
user
- The attribute will be included only if the party is of type
2024-07-25 - New Insights Data Action response payload and request origin
- Introduced new Insights Data Action response payload to support context
- The old response payload is now deprecated. To migrate to the new payload, return the existing payload as
cardsin the new payload.
- The old response payload is now deprecated. To migrate to the new payload, return the existing payload as
- Added new
spoke.callhistoryrequest origin for Call Insights Data Action requests from the Spoke Phone app's call history - Updated
contactEmailandcontactIdfor Call Insights Data Action request parameters for internal calls to a Spoke user
2024-05-14 - Fixed incorrect example
- Fixed incorrect example given for the close timer field.
After 30 daysshould beP30DnotPT30D.
2024-05-07 - Add support for setting close timer in Messages API and Inbound Conversations Data Action
- Added new optional parameter
closeTimerto/messagesendpoint - Added new optional parameter
closeTimertoInbound Conversations Data Action Response Payload
2024-04-19 - Add support for setting close timer in Team Messages API
- Added new optional parameter
closeTimerto/teamMessagesendpoint
2024-02-08 - New Webhook APIs
- Added new APIs to manage webhooks
- GET
/webhooksendpoint for listing existing webhooks with pagination - POST
/webhooksendpoint for creating a new webhook - GET
/webhooks/{id}endpoint for getting an existing webhook - PUT
/webhooks/{id}endpoint for updating an existing webhook - DELETE
/webhooks/{id}endpoint for deleting an existing webhook
- GET
- Added links to example webhook event payloads under the Types of Events section
2024-01-22 - New desktopEnrolledReleaseChannel attributes for user
- Added new
desktopEnrolledReleaseChannelattribute toUserWithAvailabilitytype
2023-10-09 - Add WhatsApp Support for Inbound Conversations Data Action
- Added new
whatsAppchannel to Inbound Conversations Data Action request payloadcompanyAddressandcontactAddressare updated to support the newwhatsAppchannel
2023-10-03 - New fields for Conversation and Message
- Added new
vendor,vendorConversationId,initiatedBy,companyNumberOwnerandnamefields toConversationtypeinitiatedByandcompanyNumberOwnerfields will only be populated for conversations created after 2 October 2023
- Added new
vendorMessageIdandisApiCreatedfields toMessageType
2023-09-25 - Add support for setting conversation claim rule with Inbound Conversation Data Action
- Added new
claimRuleto Inbound Conversations Data Action response payload
2023-09-20 - New Team Messages API
- Added new POST
/teamMessagesAPI to send messages on behalf of team using team assigned DDI
2023-07-06 - New loginStatus and isDirectorySynced attributes for user
- Added new
loginStatusandisDirectorySyncedattributes toUserWithAvailabilitytype
2023-06-26 - New Inbound Conversations Data Action
- Added documentation for the Inbound Conversations Data Action functionality
- Changed
Call GrouptoTeaminline with changes to Spoke admin and application user interfaces
2023-04-11 - Fixed unanswered calls not returned from Redirect API on missed cold transfers
- Fixed unanswered cold transfers not being returned when
returnToandreturnToIdparameters are provided
2023-03-13 - Override call group display name via Call Group Data Action
- Added support for override call group display name via Call Group Data Action
- Added optional
overriddenDisplayNameattribute toassignedCallGroupanddirectoryTargetattributes ofCalltype- The attribute will be included only if the
team's the display name is overridden via Call Group Data Action
- The attribute will be included only if the
2023-03-02 - Updated Outbound Call Data Action for calls made by SIP devices
- Added optional device parameters
deviceId,deviceAddressanddeviceExtensionto Outbound Call Data Action request parameters- The device parameters will only be included if call is placed by a standalone SIP device
- Added support for blocking outbound calls placed by standalone SIP devices via Outbound Call Data Action
- This overrides the flag set against the SIP device "Outbound calls allowed"
2023-02-21 - New isHidden status for team
- Added new optional query parameter
includeHiddenCallGroupsto/directoryendpoint- If
true, return all directory entries, including hidden call groups. - By default, this flag is false and hidden call groups are excluded from the response
- If
- Added new
isHiddenattribute toTeamWithAvailabilitytype
2023-01-23 - New Assigned Call Group attribute on Call and Call Group Data Action Request
- Added new
assignedCallGroupattribute toCalltype- This attribute is only populated for inbound calls, and identifies the last team directory entry a call was for.
- Use this attribute to identify calls to a given team.
- The attribute contains a trimmed version of the directory entry, containing
id,displayName,type, andextension
- IMPORTANT CHANGE
- The
directoryTargetfield on theCallGroupDataActionRequestPayloadobject has been deprecated in favour ofassignedCallGroup. - The field will be removed completely in a future release. Please migrate to the new field.
- The
2023-01-11 - New Call Group Data Action and Call Attributes for Analytics & Reporting
- Added documentation for the Call Group Data Action functionality
- Added new
extension,emailanddialsattributes to each party inpartiesattribute ofCalltype- The
dialscontains a list of dial attempts to the call party with a reason for each dial
- The
- Added new
joinedAtandleftAtattributes to each connection inconnectionsattribute ofCalltype
2022-10-25 - New Insights Data Action
- Added documentation for the new Data Action functionality
- Moved original Data Actions menu into its own section
2022-09-28 - Override call timeouts
- Added support for overriding call timeouts using
twimlRedirectUrl
2022-06-20 - New blocked call status and Data Action documentation
- Added new
blockedcall status andblockedoutcome toCalltype- This status is currently for outbound calls only.
- The
reasonattribute on theblockedoutcome identifies the reason the call was blocked. E.g. the reason is set todataActionwhen the outbound call was blocked by Outbound Call Data Action.
- Added documentation for the new Data Action functionality
2022-06-02 - New Outcome and Tariff attributes on Call
- Added new
outcomeattribute toCalltype- This attribute is populated for all calls, and identifies the final outcome of a call
- For inbound calls, the attribute has an optional
reasonfield, which identifies the reason a call was abandoned or missed.
- Added new
tariffattribute toCalltype, and newcall.tariffedevent- This attribute is populated after the call has been tariffed.
- Once tariffed, a
call.tariffedevent is emitted - The tariff is calculated for each connected call party on the call, based on the connection's route, duration and per-minute price
- This field will only be populated for Spoke accounts that have the "Include Tariff in Call API" add-on enabled in their account. Contact your Spoke Account Manager to have this add-on enabled.
2022-05-04 - New suspended status for user
- Added new optional query parameter
includeSuspendedUsersto/directoryendpoint- If
true, return all directory entries, including suspended users. - By default, this flag is false and suspended users are excluded from the response
- If
UserWithAvailability.statusis now one of invited, active or suspended
2022-04-11 - New Call Attributes for Analytics & Reporting
- Added new
directoryTargetattribute toCalltype- This attribute is only populated for inbound calls, and identifies the initial directory entry a call was for.
- Use this attribute to identify calls to a given team, user or other directory entry.
- Webhook call events will include this attribute after the call has been processed by the Spoke telephony service.
This means the earliest events in the call lifecycle to include this attribute will be
call.answered/call.not_answered - The attribute contains a trimmed version of the directory entry, containing
id,displayName,type,extensionandemail
- Added new
waitTimeandwaitTimeTextattributes toCalltype- For an answered call, the
waitTimeis calculated as the millisecond difference betweenstartedAtandansweredAtfields. - For an unanswered call, the
waitTimeis equivalent to the value ofduration. - The
waitTimeTextfield is a human readable version of thewaitTimefield, similar todurationText
- For an answered call, the
- Added GET
/directory/{entryId}endpoint.- Retrieves specified entry from the directory
2022-03-17 - New GET endpoint on /phonebooks
- Added GET
/phonebooks/{id}/contacts/{contactId}endpoint.- Retrieves specified contact from an existing phonebook
2022-02-02
- Added new
excludeEmptyquery parameter to the GET/phonebooksendpoint.- Set this to true to exclude phonebooks that do not contain any contacts.
- Added support for optional
sortOrderandcontactNumberquery parameters to GET/callsendpoint.
2021-12-15 - New Call Events and Send to Voicemail Support
- Added support for
call.started,call.answered,call.not_answered,call.hungupevent - Added support for sending a call directly to voicemail using
twimlRedirectUrl
2021-11-24 - New vendor and vendorCallId fields
- Added new
vendorandvendorCallIdfields toUserWithAvailabilityandCalltypes- These fields include the vendor who carried the call and the vendor's call ID
- In the case of Twilio,
vendorCallIdcontains thecallSidof the parent call - For the
UserWithAvailabilitytype, these fields will be populated (along withcallId) when the user's availabilitystatusisbusyandnotAvailableRuleisbusyOnACall
2021-11-23 - User & Team Availability Webhook Events
- Added support for
user.availability.updatedevent - Added support for
team.availability.updatedevent
2021-11-03
- Added new
sipAddressfield to Device object for/directoryendpoint
2021-10-20
- Added new fields to
trunkUsers,trunkDevicesandtrunkQueueswhich are returned by/trunksand/directorydisplayName- Display name of the directory entrytype- Directory typetwimlRedirectUrl- Redirecting an inbound Twilio call to this target url will transfer the call to this entry
2021-10-11 - Added trunk entities to /directory endpoint
- Added
trunkUsers,trunkDevicesandtrunkQueuesto the list of entries returned by/directoryendpoint
2021-10-05 - Updated mobile field of User and UserWithAvailability objects
- Updated
mobilefield of User and UserWithAvailability objects- This field will now be omitted if the organisation is configured to exclude employee phone numbers from Spoke APIs
2021-09-30 - Added twimlRedirectUrl field to objects for /directory and /users endpoint
- Added new
twimlRedirectUrlfield to TeamWithAvailability, UserWithAvailability and Device object for/directoryendpoint/usersendpoint
2021-09-27 - New /directory endpoint
- Added
/directoryendpoint. Lists or finds directory entries. Supports optional search parameters.- Lists all directory entries in the organisation. This list is equivalent to the list in Spoke application "Internal" directory view. Currently the list includes
users,teamsanddevices. Future revisions will includetrunkUsers,trunkDevicesandtrunkQueues - Optional query parameters to search the directory by
extension,ivrKeyorphoneNumber
- Lists all directory entries in the organisation. This list is equivalent to the list in Spoke application "Internal" directory view. Currently the list includes
- Added new fields to
/usersendpoint:phoneNumbers- List of phone numbers of the userdisplayName- Display name of the usertype- Directory typeavailability.availabilitySummary- Describes the current availability of the user
2021-05-31 - Send SMS Messages
- Added support for sending SMS Messages on behalf of a Spoke user:
- The Spoke user must have an SMS enabled DDI
- The
fromparameter allows you to specify either the user's SMS enabled DDI or their email address - The message will be added to a conversation (if one exists with the customer) or a new conversation will be automatically created
- The message will appear in the user's conversations view in the Spoke application
- The
conversation.message.createdevent will be fired when the message is created.
2021-03-22 - Conversation Webhook Events
- Added support for Conversation events
conversation.inactiveconversation.closedconversation.message.created
2020-09-08 - New Webhooks support
- You can now create webhooks in your Spoke organisation, allowing you to listen to events as they occur within the Spoke platform. Webhooks are particularly useful for listening to call events, updating, and reacting to these in your system in near real-time.
2020-08-05 - Added ability to assign Trunk Users & Phone Numbers to Spoke Users
- You can now assign trunk users and phone numbers to Spoke users when creating or updating trunk users via the
/trunks/{trunkId}/trunkUsers/*endpoint.
2020-07-24 - New OAuth 2.0 content type support
- The content type for generating OAuth 2.0 access tokens using the
client_credentialsgrant type now supportsapplication/x-www-form-urlencoded, this is better aligned with RFC6749 which outlines how OAuth 2.0 tokens should be generated. The previousapplication/jsonformat is now deprecated.
2020-07-17 - Added missing fields for Phonebook, Contact, Trunk Device, Trunk Queue and Trunk User to documentation
- Requests for PUT
/phonebooksendpoints can include additional nullable fields in the body:countryIso - Requests for PUT
/phonebooksand/contactsendpoints with contact can include additional nullable fields in the body:firstName,lastNameandjobTitle - Requests for PUT/POST
/trunks/{trunkId}/trunkDevices/*endpoints can include additional nullable fields in the body:description,location,modelandproduct - Requests for PUT/POST
/trunks/{trunkId}/trunkQueues/*endpoints can include additional nullable fields in the body:description - Requests for PUT/POST
/trunks/{trunkId}/trunkUsers/*endpoints can include additional nullable fields in the body:department,description,jobTitle,locationandmanager
2020-07-07 - Unified Directory: Support for managing SIP trunk directory entries
-
You can now manage SIP devices, users and queues associated with your SIP Trunks. Any devices, users or queues created via this API will appear in the Internal company directory in the Spoke application. These endpoints are directly dialable from Spoke, and can optionally be associated with a Spoke User, providing full integration between Spoke and your legacy PBX.
By integrating with the Unified Directory you can automate the process of synchronising the entries in your legacy phone system with Spoke. Platform specific integrations (e.g. Cisco UCM) will be available from Spoke Integration Partners, or you can use the following API endpoints directly:
- Added
/trunksendpoint. Lists all SIP Trunks in the organisation. Trunks must be created via the Spoke account portal and will required additional network configuration. - Added
/trunks/{trunkId}/trunkDevices/*endpoints, with ability to list, add, update and delete Trunk Devices. Trunk devices usually represent real phones in communal areas, such as a conference phone or lunch room phone. - Added
/trunks/{trunkId}/trunkUsers/*endpoints, with ability to list, add, update and delete Trunk Users. Trunk users usually represent the individual users in your phone system who may have soft phones or desk phones. - Added
/trunks/{trunkId}/trunkQueues/*endpoints, with ability to list, add, update and delete Trunk Queues. Trunk queues usually represent call queues or hunt groups in your phone system.
- Added
2019-11-26 - New /users endpoint
- Added
/usersendpoint. Lists all Spoke users in the organisation. This list is equivalent to the list of Users in Spoke application "Internal" directory view.- The list includes each user's availability
- The availability state for a given user is close to real time (lag 1-5 seconds).
- Details about Availability statuses and reason fields are included in the API response.
- Current limitations
- This endpoint currently supports
GET /usersandGET /users/{id}. Future versions may supportPUTmethods to enable external control of availability - The following properties will be exposed in a future version of this API :
extensions,phone_numbers,teams
- This endpoint currently supports
2019-11-12 - Added extra fields to Call object to simplify CRM integration
- Responses from the
/callsendpoints now include additional fields:isInternal: If this field is true then the call was between internal Spoke Users only.contactNumber: This is the phone number of the external party to the call, irrespective of thecallDirectionvalue. This field can be used to identify a matching customer record in an external system if required.companyNumber: This is the phone number of the company used for the call, and will either be the number the external party called for inbound calls, or the caller id for outbound calls.
- Added new
CallSummarytype which provides a set of narrative summary fields about the call, suitable for populating a call note record in an external CRM system. This object includes the following fields, and is exposed as thesummaryfield under theCallobject:header: A Short header summarising the call content. This is dependent on call direction, and what is known about the caller and callee.contactNumberDescription: A short description of thecontactNumber(e.g "Called in from +64218880000").companyNumberDescription: A short description of thecompanyNumber(e.g. "Call in to +6498880000").outcome: A short description of the outcome of the call. This includes who answered the call, whether it was transferred and the duration of the call. (e.g. "Answered by Joseph Brealey. Transferred to Joanna Brown. Spoke for 3 minutes")
- IMPORTANT CHANGE
- The
initiatorandrecipientfields on theCallobject have been deprecated in favour ofcontactNumberandcompanyNumber. - This change should simplify integrations with external CRM systems as contactNumber will always represent the phone number of the external call party.
- These fields will be removed completely in a future release. Please migrate to the new fields.
- The
2019-10-08 - Added Notes to Call object
- Responses from the
/callsendpoints now include anotestype.- Notes can be recorded at any time after the call ends
- A call can have multiple sets of notes recorded against it
- Added a section in the API guide relating to date/time and timestamp fields.
2019-09-30 - New /calls endpoint
- Added
/callsendpoint:- Provides the ability to retrieve calls that have been received or made by the organisation
- Calls can be queried by time range (
before,sinceparameters) and/or last modified timestamp (modifiedparameter). - Only returns calls that have ended (where all parties have hung up), in-flight calls are not included in the response at this time
- IMPORTANT CHANGE
- Deprecated singular endpoints (
/phonebook&/phonebook/{id}/contact) in favour of plural endpoints. - All future collection endpoints will be plural in form (
/phonebooks,/phonebooks/{id},/calls) - The current singular endpoints continue to function but will be removed in a future release. Please migrate to the new endpoints.
- The deprecated endpoints are marked in the Deprecated section of this document
- Deprecated singular endpoints (
- BREAKING CHANGE
- Replaced
nextContactquery string parameter withnextparameter as the standard parameter for response result set paging across all endpoints
- Replaced
2019-07-31 - Initial Release
- Provides the ability to synchronise company contacts (customers, suppliers) into Spoke's external phonebook. We use this phonebook to identify incoming callers and to allow Spoke users to search and place calls. This has been modelled as follows:
- A Phonebook is a collection of Contact(s), where a Contact is a record containing a name/phone number(s)/email addresses.
- You can batch upload to a Phonebook (which replaces the entire contents) or upsert a single Contact into a Phonebook.
- We support multiple external phonebooks, this allows our customers some flexibility, primarily if they are using our CSV upload functionality and have data.
- Supports authentication via OAuth 2.0 Client Credentials Flow
Last modified on